## org.apache.poi.xslf.usermodel
Enum TextDirection

    java.lang.Object
      java.lang.Enum<TextDirection>
          org.apache.poi.xslf.usermodel.TextDirection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TextDirection>

    public enum TextDirection

extends java.lang.Enum<TextDirection>

Vertical Text Types

Enum Constant Summary
`HORIZONTAL` Horizontal text.
`STACKED` Determines if all of the text is vertical ("one letter on top of another").
`VERTICAL` Vertical orientation.
`VERTICAL_270` Vertical orientation.

Method Summary
`static TextDirection` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TextDirection[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HORIZONTAL

    public static final TextDirection HORIZONTAL

  Horizontal text. This should be default.

### VERTICAL

    public static final TextDirection VERTICAL

  Vertical orientation. (each line is 90 degrees rotated clockwise, so it goes from top to bottom; each next line is to the left from the previous one).

### VERTICAL_270

    public static final TextDirection VERTICAL_270

  Vertical orientation. (each line is 270 degrees rotated clockwise, so it goes from bottom to top; each next line is to the right from the previous one).

### STACKED

    public static final TextDirection STACKED

  Determines if all of the text is vertical ("one letter on top of another").

Method Detail

### values

    public static TextDirection[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TextDirection c : TextDirection.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TextDirection valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.